> For the complete documentation index, see [llms.txt](https://docs.hotwax.co/documents/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.hotwax.co/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/orders/created-orders-feed.md).

# Created Orders

## Introduction

The Created Orders feed is an order-wise JSON-formatted feed generated from HotWax Commerce OMS. This feed contains details about created order in OMS, which can be approved in OMS based on certain configurable checks. The feed can be used for integration with other external systems.

## Use case

### Communication with the External System

**The Created Order Items feed is a valuable resource for retailers using NetSuite ERP.** NetSuite's workflow requires order creation as a prerequisite for other order-related operations. By exporting created orders from the OMS and transforming them into the desired NetSuite format, retailers can integrate these orders into NetSuite for subsequent processing.

## Customization

The Created Orders feed has certain out-of-the-box customizations that allow users to generate the feed as per the requirements.The created order feed JSON helps external systems track new orders that are entering the OMS and consume them for their linked actions.

Here is a sample feed of that the created order feed looks like

```json
{
  "orders": [
    {
      "id": "#test02",
      "channel_type": "web",
      "external_id": 3409,
      "currency": "USD",
      "subtotal": 45.00,
      "tax_total": 5.85,
      "placed_at": "2023-07-08T12:08:34.000Z",
      "shipping_tax_code": "AVATAX",
      "shipping_service_level": "STANDARD_UPS",
      "shipping_total": 0.00,
      "discounts": [],
      "discount_total": 30,
      "channel": "BDC",
      "customer_id": 5320856,
      "customer_email":"appurva.jain@hotwax.co",
      "payment_account": {
        "payment_method": "credit_card",
        "payment_provider": "shopify",
        "amount":"45.00"
      },
      "billing_address": {
        "name": "Appurva Jain",
        "address_line_1": "175 S Main St Suite",
        "address_line_2": "",
        "city": "Salt Lake City",
        "state": "UT",
        "country": "US",
        "zip_code": "84111",
        "phone": "18006984637"
      },
      "shipping_address": {
        "name": "Appurva Jain",
        "address_line_1": "175 S Main St Suite 1310123",
        "address_line_2": "",
        "city": "Salt Lake City",
        "state": "UT",
        "country": "US",
        "zip_code": "84111",
        "phone": "18006984637"
      },
      "items": [
        {
          "id": 101,
          "external_id": "",
          "product_id": "1110352-010-L",
          "pricebook_price": 45.00,
          "quantity": 1,
          "tax": 5.85,
          "tax_code": "AVATAX",
          "tag": "",
          "closed": "",
          "discounts": [],
          "shipping_service_level": "STANDARD_UPS",
          "item_discounts":0.0,
          "order_discounts":0.0,
          "status":"opened",
          "extended_attributes": [
            {
                "name":"requires_shipping",
                "value":"True"
            }
          ]
        }
      ]
    }
  ]
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.hotwax.co/documents/integrate-with-hotwax/hotwax-commerce-api-and-data-feeds/orders/created-orders-feed.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
